// Output_HSL.h: interface for the COutput_HSL class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputBase.h"

class CAdlinkCommon_HSL;

class COutput_HSL : public COutputBase
{
public:
    COutput_HSL(const COutputSetting& Setting);
    virtual ~COutput_HSL();

    // method to set analog output voltage
    BOOL SetVoltage(double dVoltage, double dRange) override;

    BOOL SetState(bool bState) override;

private:
    std::unique_ptr<CAdlinkCommon_HSL> m_pCommon;
};
